<html devsite><head>
    <title>Nexus 安全性公告 - 2015 年 9 月</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p><em>發佈日期：2015 年 9 月 9 日</em></p>

<p>Google 已透過 Android 安全性公佈欄每月公告程序
(版本 LMY48M) 中的無線 (OTA) 更新，發佈 Nexus 裝置的
安全性更新。Nexus 裝置專用更新和這些問題的
原始碼修補程式已經發佈到 Android 開放原始碼計劃 (AOSP) 存
放區。在下列問題中，最嚴重的就是「最高」等級的安全性漏洞。
遠端程式碼可利用這類漏洞，在受影響的裝置上執行。</p>

<p>此外，Nexus 韌體映像檔也已經發佈到 <a href="https://developers.google.com/android/nexus/images">Google Developers 網站</a>上。
LMY48M 以上版本針對下列問題提供了解決之道。合作夥伴是在 2015 年 8 月 13 日
或之前收到有關這些問題的通知。</p>

<p>針對各方新回報的這些漏洞，我們並未偵測到任何客戶濫用的情形，唯一
例外的情況是這個現有問題 (CVE-2015-3636)。如果您想進一步瞭解 <a href="/security/enhancements/index.html">Android 安全性平台防護措施</a>和服務防護措施 (例如 SafetyNet) 如何有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到他們的目的，請參閱<a href="#mitigations">因應措施</a>一節。</p>

<p>請注意，這兩項嚴重等級「最高」的安全性更新 (CVE-2015-3864 和
CVE-2015-3686) 都是用於解決目前已發現的漏洞，並未針對任何新發現的「最高」安全性漏洞進行更新。<a href="/security/overview/updates-resources.html#severity">嚴重程度評定標準</a>是假設平台與服務的因應防護措施基於開發作業的需求而被停用，或是遭到有心人士破解，然後推算當有人惡意運用漏洞時，裝置會受到多大的影響，據此評定漏洞的嚴重程度。</p>

<p>我們建議所有客戶接受這些裝置更新。</p>

<h2 id="mitigations">因應措施</h2>

<p>本節概述 <a href="/security/enhancements">Android 安全性平台</a>和 SafetyNet 等服務防護方案所提供的因應措施。這些措施可有效防範有心人士在 Android 系統上惡意運用安全性漏洞來達到特定目的。</p>

<ul>
  <li>Android 平台持續推出新的版本來強化安全性，因此有心人士越來越難在 Android 系統上找出漏洞加以利用。我們建議所有使用者盡可能更新至最新版的 Android。
  </li><li>Android 安全性小組採用「驗證應用程式」和 SafetyNet 主動監控濫用情形，這些功能果發現應用程式可能有害，將在安裝作業前發出警告。Google Play 禁止發佈任何可用於獲取裝置 Root 權限的工具。為了保護不是在 Google Play 安裝應用程式的使用者，「驗證應用程式」在預設狀態下會自動啟用並向使用者發出警告，提醒他們留意目前已知的破解程式 (用於取得 Root 權限的應用程式)。「驗證應用程式」會盡可能找出已知會利用權限升級漏洞的惡意應用程式，並封鎖這類應用程式的安裝程序。如果使用者已安裝這類應用程式，「驗證應用程式」會通知使用者，並嘗試移除該應用程式。
  </li><li>在適用情況下，Google Hangouts 和 Messenger 應用程式不會自動將媒體內容傳送給媒體伺服器這類的處理程序。
</li></ul>

<h2 id="acknowledgements">特別銘謝</h2>

<p>感謝以下研究人員做出的貢獻：</p>

<ul>
  <li>Exodus Intelligence 的 Jordan Gruskovnjak (@jgrusko)：CVE-2015-3864
  </li><li>Michał Bednarski：CVE-2015-3845
  </li><li>奇虎 360 科技有限公司的 Guang Gong (@oldfresher)：CVE-2015-1528
、CVE-2015-3849
  </li><li>Brennan Lautner：CVE-2015-3863
  </li><li>jgor (@indiecom)：CVE-2015-3860
  </li><li>趨勢科技股份有限公司的 Wish Wu (@wish_wu)：CVE-2015-3861
</li></ul>

<h2 id="security_vulnerability_details">安全性漏洞詳情</h2>

<p>下列各節針對本公佈欄中的各項安全性漏洞提供了詳細資訊，包括問題說明、嚴重程度評定原因，以及一份漏洞資訊表，顯示漏洞的 CVE、相關錯誤、嚴重程度、受影響版本和回報日期。如果相關錯誤有 Android 開放原始碼計劃變更，該錯誤 ID 會連結到相對應的變更。如果單一錯誤有多項相關變更，您可以透過該錯誤 ID 後面的編號連結開啟額外的 Android 開放原始碼計劃參考資料。</p>

<h3 id="remote_code_execution_vulnerability_in_mediaserver">媒體伺服器中的遠端程式碼執行漏洞</h3>

<p>在處理某些特殊的媒體檔案及資料時，攻擊者可能會利用媒體伺服器中的漏洞造成記憶體出錯，並執行遠端程式碼當做媒體伺服器處理程序。</p>

<p>受影響的功能是作業系統的核心部分，而多個應用程式都允許遠端內容連到這項功能，其中最常見的內容是多媒體訊息和瀏覽器中播放的媒體。</p>

<p>由於這個問題可能會讓遠端程式碼在媒體伺服器服務環境內執行，因此嚴重程度被評定為「最高」。媒體伺服器服務能夠存取音訊和視訊串流，以及第三方應用程式
一般無法存取的權限。</p>

<p>這個問題與已通報的 CVE-2015-3824 (ANDROID-20923261) 相關。原始的安全性更新無法解決此原始通報問題所衍生的各種變化。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3864</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/6fe85f7e15203e48df2cc3e8e1c4bc6ad49dc968">ANDROID-23034759</a></td>
    <td>最高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="elevation_privilege_vulnerability_in_kernel">核心中的權限升級漏洞</h3>

<p>Linux 核心的連線偵測 (ping) 通訊接口 (socket) 處理作業中的權限升級漏洞，可讓惡意應用程式在核心的環境內執行任何指令。</p>

<p>由於這個問題可能會導致程式碼在獲得授權的服務中，透過規避裝置防護措施的方式執行，進而永久破壞 (例如，要求重新刷新系統分割區) 部分裝置，因此嚴重程度被評定為「最高」。</p>

<p>這個問題是在 2015 年 5 月 1 日首次公開確認。有些可用於獲取 Root 權限的工具已經惡意運用這個漏洞，而裝置擁有者可能會使用
這些工具修改裝置的軔體。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3636 </td>
    <td><a href="https://github.com/torvalds/linux/commit/a134f083e79f">ANDROID-20770158</a></td>
    <td>最高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_binder">繫結機制中的權限升級漏洞</h3>

<p>繫結機制 (Binder) 中的權限升級漏洞可讓惡意應用程式在其他應用程式的程序環境內執行任何指令。</p>

<p>由於這個問題可讓惡意應用程式取得第三方應用程式無法存取的權限，因此嚴重程度被評定為「最高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3845</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/e68cbc3e9e66df4231e70efa3e9c41abc12aea20">ANDROID-17312693</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
 <tr>
    <td>CVE-2015-1528</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/native/+/7dcd0ec9c91688cfa3f679804ba6e132f9811254">ANDROID-19334482</a> [<a href="https://android.googlesource.com/platform/system/core/+/e8c62fb484151f76ab88b1d5130f38de24ac8c14">2</a>]</td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_keystore">金鑰庫中的權限升級漏洞</h3>

<p>金鑰庫 (Keystore) 中的權限升級漏洞可讓惡意應用程式在金鑰庫服務的環境內執行任何指令。這項漏洞會讓惡意應用程式未經授權使用金鑰庫中儲存的金鑰 (包括硬體備份的金鑰)。</p>

<p>由於這個問題可被利用來取得第三方應用程式無法存取的權限，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3863</td>
    <td><a href="https://android.googlesource.com/platform/system/security/+/bb9f4392c2f1b11be3acdc1737828274ff1ec55b">ANDROID-22802399</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_region">區域中的權限升級漏洞</h3>

<p>區域 (Region) 中的權限升級漏洞可透過建立發送給某項服務的惡意訊息，讓惡意應用程式在目標服務的環境內執行任何指令。</p>

<p>由於這個問題可被利用來取得第三方應用程式無法存取的權限，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3849</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/4cff1f49ff95d990d6c2614da5d5a23d02145885">ANDROID-20883006</a> [<a href="https://android.googlesource.com/platform/frameworks/base/+/1e72dc7a3074cd0b44d89afbf39bbf5000ef7cc3">2</a>]</td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_sms_enables_notification_bypass">簡訊中的權限升級漏洞可用於規避通知</h3>

<p>存在於 Android 簡訊處理程序中的權限升級漏洞，讓惡意應用程式可以傳送規避最高等級簡訊警告通知的簡訊。</p>

<p>由於這個問題可被利用來取得第三方應用程式無法存取的權限，因此嚴重程度被評定為「高」。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3858</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/opt/telephony/+/df31d37d285dde9911b699837c351aed2320b586">ANDROID-22314646</a></td>
    <td>高</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

<h3 id="elevation_of_privilege_vulnerability_in_lockscreen">螢幕鎖定中的權限升級漏洞</h3>

<p>螢幕鎖定 (Lockscreen) 中的權限升級漏洞可讓惡意使用者透過造成當機的方式規避螢幕鎖定機制。這個問題僅在 Android 5.0 和 5.1 版中歸類為漏洞。儘管這個問題可能造成系統使用者介面當機而無法鎖定螢幕 (與在 4.4 版上的做法類似)，惡意使用者仍然無法存取主畫面，而裝置必須重新開機才能恢復使用。</p>

<p>由於這個問題可能會讓擁有裝置實體存取權的某位使用者，在未經裝置擁有者核准權限的情況下安裝第三方應用程式，
因此嚴重程度被評定為「中」。此外，這個漏洞也會允許攻擊者查看聯絡人資料、電話紀錄、簡訊和其他通常受「危機」等級權限保護的資料。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3860</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/base/+/8fba7e6931245a17215e0e740e78b45f6b66d590">ANDROID-22214934</a></td>
    <td>中</td>
    <td>5.1 和 5.0</td>
 </tr>
</tbody></table>

<h3 id="denial_of_service_vulnerability_in_mediaserver">媒體伺服器中的拒絕服務漏洞</h3>

<p>媒體伺服器中的拒絕服務漏洞可讓本機攻擊者暫時封鎖受影響裝置的存取權。</p>

<p>由於使用者只要重新開機進入安全模式，即可移除惡意運用這個問題的惡意應用程式，因此嚴重程度被評定為「低」。另一種可能性則是造成媒體伺服器透過網路或多媒體訊息，在遠端處理惡意檔案，在此情況下，媒體伺服器處理程序會當機，但裝置仍可繼續使用。</p>
<table>
 <tbody><tr>
    <th>CVE</th>
    <th>錯誤 (附有 Android 開放原始碼計劃連結)</th>
    <th>嚴重程度</th>
    <th>受影響的版本</th>
 </tr>
 <tr>
    <td>CVE-2015-3861</td>
    <td><a href="https://android.googlesource.com/platform/frameworks/av/+/304ef91624e12661e7e35c2c0c235da84a73e9c0">ANDROID-21296336</a></td>
    <td>低</td>
    <td>5.1 及以下版本</td>
 </tr>
</tbody></table>

</body></html>